Skip to Content

Get training provider details

GET
/v2/training/provider/{userId}/{detailID}
Parameters
string


api token is required field
string


userId is required field
string


detailID is required field
boolean

ex: true or false

Example Code

using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Threading.Tasks;
using System.Collections.Specialized;
using System.Linq;

namespace CareerOneStopAPISample
{
    class Program
    {
        static void Main(string[] args)
        {
            CreateRequest().Wait();
        }
        private static async Task CreateRequest()
        {
            var qs = new NameValueCollection();
            qs["enableMetaData"] = "value";                        
            
            var uri = new UriBuilder(Uri.UriSchemeHttps, "api.careeronestop.org")
            {
                Path = "/v2/training/provider/{userId}/{detailID}",
                Query = string.Join("&", qs.AllKeys.Select(key => key + "=" + Uri.EscapeUriString(qs[key])))
            };
            
            using (var http = new HttpClient())
            {
                http.DefaultRequestHeaders.Accept.Clear();
                http.DefaultRequestHeaders.Authorization = new AuthenticationHeaderValue("Bearer", "API Token");
                http.DefaultRequestHeaders.Accept.Add(new MediaTypeWithQualityHeaderValue("application/json"));
                var response = await http.GetAsync(uri.Uri).ConfigureAwait(false);
                if (response.IsSuccessStatusCode)
                {
                    var result = await response.Content.ReadAsStringAsync().ConfigureAwait(false);
                }
            }
        }
    }
}
import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;
import org.apache.http.HttpEntity;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.utils.URIBuilder;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;

public class CareerOneStopAPISample {
    public static void main(String[] args) throws IOException, URISyntaxException {
	URI uri = new URIBuilder()
		.setScheme("https")
		.setHost("api.careeronestop.org")
		.setPath("/v2/training/provider/{userId}/{detailID}")
                .setParameter("enableMetaData", "value")
		.build();
	CloseableHttpResponse response = null;
	HttpGet httpGet = null;
	try {
		CloseableHttpClient httpClient = HttpClients.createDefault();
		httpGet = new HttpGet(uri);
		httpGet.setHeader("Content-Type","application/json");
		httpGet.setHeader("Authorization", "Bearer API Token");
		response = httpClient.execute(httpGet);
		HttpEntity entity = response.getEntity();
		System.out.println(EntityUtils.toString(entity));
	} finally {
		if(httpGet != null) httpGet.releaseConnection();
		if(response != null) response.close();
	}
   }
}


Response Structure
                        {
  "SchoolPrograms": {
    "DetailId": 1,
    "DataSource": "string",
    "SchoolIDUnique": 3,
    "SchoolName": "string",
    "SchoolURL": "string",
    "Address": "string",
    "City": "string",
    "StateAbbr": "string",
    "State": "string",
    "Zip": "string",
    "Phone": "string",
    "Distance": "string",
    "Latitude": "string",
    "Longitude": "string",
    "Sector": "string",
    "TotalEnrollment": "string",
    "SchoolDescription": "string",
    "AdmissionURL": "string",
    "ApplyOnlineURL": "string",
    "FinancialAidURL": "string",
    "NetPriceCalcURL": "string"
  },
  "RecordCount": 1,
  "IsAutoCorrectionUsed": true,
  "SchoolOrProgram": "string",
  "Metadata": {
    "Publisher": "string",
    "Sponsor": "string",
    "LastAccessDate": "string",
    "CitationSuggested": "string",
    "DataSource": [
      {
        "DataName": "string",
        "DataSourceName": "string",
        "DataSourceUrl": "string",
        "DataLastUpdate": "string",
        "DataVintageOrVersion": "string",
        "DataDescription": "string",
        "DataSourceCitation": "string"
      }
    ]
  }
}
                    
                        <Provider xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/XPAND.CareerOneStop.WebApi.ViewModels.Training.Providers">
  <IsAutoCorrectionUsed>true</IsAutoCorrectionUsed>
  <Metadata xmlns:d2p1="http://schemas.datacontract.org/2004/07/XPAND.CareerOneStop.WebApi.Core.MetaData">
    <d2p1:CitationSuggested>string</d2p1:CitationSuggested>
    <d2p1:DataSource>
      <d2p1:MetaDataSource>
        <d2p1:DataDescription>string</d2p1:DataDescription>
        <d2p1:DataLastUpdate>string</d2p1:DataLastUpdate>
        <d2p1:DataName>string</d2p1:DataName>
        <d2p1:DataSourceCitation>string</d2p1:DataSourceCitation>
        <d2p1:DataSourceName>string</d2p1:DataSourceName>
        <d2p1:DataSourceUrl>string</d2p1:DataSourceUrl>
        <d2p1:DataVintageOrVersion>string</d2p1:DataVintageOrVersion>
      </d2p1:MetaDataSource>
    </d2p1:DataSource>
    <d2p1:LastAccessDate>string</d2p1:LastAccessDate>
    <d2p1:Publisher>string</d2p1:Publisher>
    <d2p1:Sponsor>string</d2p1:Sponsor>
  </Metadata>
  <RecordCount>1</RecordCount>
  <SchoolOrProgram>string</SchoolOrProgram>
  <SchoolPrograms>
    <Address>string</Address>
    <AdmissionURL>string</AdmissionURL>
    <ApplyOnlineURL>string</ApplyOnlineURL>
    <City>string</City>
    <DataSource>string</DataSource>
    <DetailId>1</DetailId>
    <Distance>string</Distance>
    <FinancialAidURL>string</FinancialAidURL>
    <Latitude>string</Latitude>
    <Longitude>string</Longitude>
    <NetPriceCalcURL>string</NetPriceCalcURL>
    <Phone>string</Phone>
    <SchoolDescription>string</SchoolDescription>
    <SchoolIDUnique>3</SchoolIDUnique>
    <SchoolName>string</SchoolName>
    <SchoolURL>string</SchoolURL>
    <Sector>string</Sector>
    <State>string</State>
    <StateAbbr>string</StateAbbr>
    <TotalEnrollment>string</TotalEnrollment>
    <Zip>string</Zip>
  </SchoolPrograms>
</Provider>